FROM nextcloud:latest

ARG UID=1000
ARG GID=1000

#RUN adduser --system --no-create-home --home /nonexistent --gecos 'www-data user' --shell /bin/false --uid 82 www-data
RUN usermod -u $UID -o www-data
RUN apt update \
    && apt -y install \
#    libmagickcore-6.q16-6-extra \
    ffmpeg \
    imagemagick \
    ghostscript \
    && apt clean

# Add custom cron job for previews
RUN echo '*/15 * * * * php /var/www/html/occ preview:pre-generate' >> /var/spool/cron/crontabs/www-data
